# Digrm_git

The purpose of this project is to illustrate the diagram of commits and branches in each project and analyze every version progress of the project by admin.
---
According to the diagram of project which was sent by Hasan i devideded my task as below:
---
1- At firts i created a file name a.text
---
2- after some changes in text file i commited to generate a-2 version of a.text file
---
3- From this a-2 version as diagram shown i generated a new branch called b 
---
4- So i add some changes to this file to generate b-2 file.
---
5- then i genereated c branch from this version and then add some changes to create c-2 and c-3 version
---
6- i did checkout from c to come back to b barnch and b-2 version and then add some changes to create b-3 version
---
7- i also did checkout from b branch to go to a branch and reach to a-2 version and then made some changes to generated c3
---
8- after that i push them all to my gitlab repository and from that repository i did clone it to other part of my laptop and then made some changes.
---
